Skip to content
Proud to collaborate with Microsoft for Startups

docusign.users.get-user ​

Retrieves the user information for the specified user. For example: json { "userName": "Tania Morales", "userId": "6b67a1ee-xxxx-xxxx-xxxx-385763624163", "userType": "CompanyUser", "isAdmin": "False", "isNAREnabled": "false", "userStatus": "Active", "uri": "/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163", "email": "examplename42@orobia.net", "createdDateTime": "2019-04-01T22:11:56.4570000Z", "userAddedToAccountDateTime": "0001-01-01T08:00:00.0000000Z", "firstName": "Tania", "lastName": "Morales", "jobTitle": "", "company": "Company", "permissionProfileId": "12345678", "permissionProfileName": "DocuSign Viewer", "userSettings": {. . .}, "sendActivationOnInvalidLogin": "false", "enableConnectForUser": "false", "groupList": [. . .], "workAddress": {. . .}, "homeAddress": {. . .}, "signatureImageUri": "/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163/signatures/0304c47b-xxxx-xxxx-xxxx-c9673963bb50/signature_image", "initialsImageUri": "/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163/signatures/0304c47b-xxxx-xxxx-xxxx-c9673963bb50/initials_image", "defaultAccountId": "f636f297-xxxx-xxxx-xxxx-8e7a14715950" }

Gets the user information for a specified user using a userId (GUID). To find a user based on their email address, use the list endpoint.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
useridstringYes—The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
additional_infostringNo—Setting this parameter has no effect in this operation.
emailstringNo—Setting this parameter has no effect in this operation.
include_licensestringNo——

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
useridstringYes—The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
additional_infostringNo—Setting this parameter has no effect in this operation.
emailstringNo—Setting this parameter has no effect in this operation.
include_licensestringNo——
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/users/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/users/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.users.get-user",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "userid": "value"
  }
}